Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ui.context.support
Class SimpleTheme

    java.lang.Object
      org.springframework.ui.context.support.SimpleTheme

All Implemented Interfaces:
  Theme

    public class SimpleTheme

extends java.lang.Object
implements Theme

Default `Theme` implementation, wrapping a name and an underlying `MessageSource`.

Since:
  17.06.2003
Author:
  Juergen Hoeller

Constructor Summary
`SimpleTheme(java.lang.String name, MessageSource messageSource)` Create a SimpleTheme.

Method Summary
`MessageSource` | `getMessageSource()` Return the specific MessageSource that resolves messages with respect to this theme.
`java.lang.String` | `getName()` Return the name of the theme.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTheme

    public SimpleTheme(java.lang.String name,
                       MessageSource messageSource)

  Create a SimpleTheme.

  Parameters:
    `name` - the name of the theme
    `messageSource` - the MessageSource that resolves theme messages

Method Detail

### getName

    public final java.lang.String getName()

  Description copied from interface: `Theme`
  Return the name of the theme.

  Specified by:
    `getName` in interface `Theme`
  Returns:
    the name of the theme (never `null`)

### getMessageSource

    public final MessageSource getMessageSource()

  Description copied from interface: `Theme`
  Return the specific MessageSource that resolves messages with respect to this theme.

  Specified by:
    `getMessageSource` in interface `Theme`
  Returns:
    the theme-specific MessageSource (never `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD